Partially update a product
curl --request PATCH \
--url https://api.failfast.ai/inventory/product/{id}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"custom_fields": null,
"code": "<string>",
"description": "<string>",
"name": "<string>",
"conversion_factor": "<string>",
"is_imported": true,
"manage_committed_inventory": true,
"has_substitute": true,
"is_active": true,
"product_option": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"group": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"brand": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"base_unit": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"alternative_measure_unit": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"product_type": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tree_hash": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.failfast.ai/inventory/product/{id}/"
payload = {
"custom_fields": None,
"code": "<string>",
"description": "<string>",
"name": "<string>",
"conversion_factor": "<string>",
"is_imported": True,
"manage_committed_inventory": True,
"has_substitute": True,
"is_active": True,
"product_option": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"group": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"brand": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"base_unit": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"alternative_measure_unit": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"product_type": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tree_hash": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
custom_fields: null,
code: '<string>',
description: '<string>',
name: '<string>',
conversion_factor: '<string>',
is_imported: true,
manage_committed_inventory: true,
has_substitute: true,
is_active: true,
product_option: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
group: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
brand: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
base_unit: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
alternative_measure_unit: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
product_type: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
tree_hash: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.failfast.ai/inventory/product/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"error": false,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"base_unit_name": "<string>",
"alternative_measure_unit_name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"code": "<string>",
"name": "<string>",
"conversion_factor": "<string>",
"is_imported": true,
"manage_committed_inventory": true,
"has_substitute": true,
"member": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deleted_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"group": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"base_unit": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"product_type": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"custom_fields": null,
"description": "<string>",
"is_active": true,
"product_option": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"brand": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"alternative_measure_unit": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tree_hash": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Inventory
Partially update a product
PATCH
/
inventory
/
product
/
{id}
/
Partially update a product
Authorizations
Workspace API key sent as a bearer token: Authorization: Bearer failfast_.... Create keys in Settings -> Workspace -> API Keys.
Path Parameters
A UUID string identifying this product.
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
N- NONES- SERIALB- BATCH
Available options:
N, S, B Pattern:
^-?\d{0,14}(?:\.\d{0,6})?$NO- NONERM- RAW_MATERIALPR- IN_PROCESSFP- FINISHED_PRODUCT
Available options:
NO, RM, PR, FP ⌘I

